class CHelloDriver
{   
 	private:
 		LPDISPATCH m_pDisp ;		// IDispatch interface from server
 		DISPID m_dSayHelloId ;		// Say hello method ID
 		DISPID m_dHelloPropID ;		// string set/get ID
 		
	public:
		CHelloDriver( ) ;
		~CHelloDriver( ) ;
	
		BOOL Create(LPSTR) ;     		// set up dispatch with server
		HRESULT SetString (LPOLESTR) ;    	// tell server what string to use
		HRESULT GetString (LPOLESTR) ;		// ask what string server is using
		HRESULT SayHowdy(void) ;		// tell server to output its string
		HRESULT BadSetString (void) ;
} ;
